/**
 * InPersonTicket module - SeTIC - UFSC - http://setic.ufsc.br/
 * Rodrigo Gonçalves - rodrigo.g@ufsc.br
 * 
 * Version 2018-01-31 - Conversion to JS Module, to support OTRS 6
 * 
 * 
 */

var Core = Core || {};
Core.Agent = Core.Agent || {};


Core.Agent.InPersonTicket = (function (TargetNS) {
	
	TargetNS.Init = function() {
		$("#userID").blur(function() {			
			TargetNS.dealEmail($("#userID").val());  
		});
	}
	
    TargetNS.modeloServicoConfigurado = function () {
    
    	CKEDITOR.instances['RichTextDescription'].setData(Core.Config.Get('InPersonTicket.ServiceRealized'));
		//$("#RichTextDescription").val();
		return false;
	}

	TargetNS.dealEmail = function(email) {
		var arr = email.split("@");
		if (arr[0]) {
			var url = "/otrs/index.pl?Action=InPersonTicket;Subaction=GetUserName;UserID=" + arr[0];
			$.get(url, function(data) {
				$("#UserName").val(data);
				if (data) {
					$("#SelectService").focus();
				}			
    		}).fail(function(jqXHR, textStatus, errorThrown) {
    			alert(textStatus);
  			});
			
  		}
  	}
  
  	Core.Init.RegisterNamespace(TargetNS, 'APP_MODULE');
	
	return TargetNS;
	
}(Core.Agent.InPersonTicket || {}));






